export const RedirectName = ''
export const asyncRoutes = {
  ErrorPage: () => import('@/views/exception/404.vue'),
  Layout: () => import('@/layout/index.vue'),
  ParentLayout: () => import('@/layout/parentLayout.vue'),
  home: () => import('@/views/test/index'),
  loginLog: () => import('@/views/login-log/index'), // 登录日志
  interfaceLog: () => import('@/views/login-log/interface-log'), // 操作日志
  menuManage: () => import('@/views/system-manage/menu-manage/index'), // 菜单管理
  systemApply: () => import('@/views/system-manage/system-apply/index'), // 系统应用
  roleManage: () => import('@/views/system-manage/role-mange/index'), // 角色管理
  employeeManage: () => import('@/views/system-manage/employee-manage/employee-tab'), // 员工管理
  paramSettings: () => import('@/views/system-manage/param-settings/index'), // 参数设置
  songManage: () => import('@/views/system-manage/subject-manage/index'), // 声部管理
  instrumentManger: () => import('@/views/system-manage/subject-manage/instrument/instrument-list'), // 乐器管理
  contentAppButton: () => import('@/views/content-manage/content-app-button/index'), // app 按钮管理
  educationalManage: () => import('@/views/educational-manage/index'), // 素材管理
  knowledgeManage: () => import('@/views/knowledge-manage/knowledge-list/index'), //知识点管理
  knowledgeDetail: () => import('@/views/knowledge-manage/knowledge-detail'), //知识点详情
  afterClassTrainingManage: () => import('@/views/teaching-manage/after-class-training/index'), //课后训练
  afterClassTrainingDetail: () =>
    import('@/views/teaching-manage/after-class-training-detail/index'), //课后训练详情
  coursewareManage: () => import('@/views/teaching-manage/courseware-manage/index'), // 课件列表
  teachingPlan: () => import('@/views/teaching-manage/teaching-plan/index'), // 教学计划列表
  coursewareDetail: () => import('@/views/teaching-manage/courseware-manage/detail'), // 课件创建和配置
  planDetail: () => import('@/views/teaching-manage/teaching-plan/plan-detail'), // 教学计划关联课件
  unitExamination: () => import('@/views/teaching-manage/unit-test/index'),
  unitTestCreate: () => import('@/views/teaching-manage/unit-test/unit-test-index/editAndUpdate'),
  musicSheet: () => import('@/views/music-library/music-sheet/index'), // 曲谱管理
  projectMusicSheetManager: () => import('@/views/music-library/project-music-sheet/index') // 曲谱管理
}
